Page MenuHomePhabricator

Unified diff in gerrit
Closed, DeclinedPublic

Description

<Nikerabbit> I want diffs like this: https://codereview.qt-project.org/#patch,all,26062,9


Version: unspecified
Severity: enhancement
See Also:
http://code.google.com/p/gerrit/issues/detail?id=938

Details

Reference
bz38100

Event Timeline

bzimport raised the priority of this task from to Medium.Nov 22 2014, 12:50 AM
bzimport added projects: Gerrit, Upstream.
bzimport set Reference to bz38100.
bzimport added a subscriber: Unknown Object (MLST).
Nemo_bis created this task.Jul 1 2012, 8:22 AM

Upstream bug against Gerrit is https://code.google.com/p/gerrit/issues/detail?id=938

This seems to have stagnated last winter. The Qt people have implemented it, but they don't seem to have published the code yet; it sounds like they're wrangling the details of the Gerrit CLA (wouldn't be the first time, I know someone at another tech company who had to wait weeks for their legal department to examine the CLA before they let him upstream his Gerrit patches).

Reedy added a comment.Jul 1 2012, 8:04 PM

I've just poked a contact I have who does QT development (among other things)

He's said he'll see if he can find out what's going on

Reedy added a comment.Jul 5 2012, 11:52 AM

[12:49:21] <w00t> 07/ 5@12:13:09 <#qt-platforms/w00t> ossi|tt: ok, so I can tell him "it's WIP - again"?
[12:49:24] <w00t> 07/ 5@12:13:38 <#qt-platforms/ossi|tt> yes. it should be a matter of days, or even hours. it's policy stuff ...
[12:49:30] <w00t> re: getting gerrit patches out in the open

^ fingers crossed

Reedy added a comment.Jul 18 2012, 8:25 PM

(In reply to comment #1)

Upstream bug against Gerrit is
https://code.google.com/p/gerrit/issues/detail?id=938

This seems to have stagnated last winter. The Qt people have implemented it,
but they don't seem to have published the code yet; it sounds like they're
wrangling the details of the Gerrit CLA (wouldn't be the first time, I know
someone at another tech company who had to wait weeks for their legal
department to examine the CLA before they let him upstream his Gerrit patches).

https://qt.gitorious.org/qtqa/gerrit

Still valid.

Qt code is at https://qt.gitorious.org/qtqa/gerrit/commit/737400d1bad4fa8bfd39cb326636a0307014901f but somebody needs to get this into shape for upstream I assume, get it committed, and then we could backport.

With regard to allocating Wikimedia Git/Gerrit development resources, I doubt that "high" priority here is correct.

demon added a comment.Mar 6 2013, 4:20 PM

(In reply to comment #6)

Qt code is at
https://qt.gitorious.org/qtqa/gerrit/commit/
737400d1bad4fa8bfd39cb326636a0307014901f
but somebody needs to get this into shape for upstream I assume, get it
committed, and then we could backport.

Well, I tried about 2 weeks ago. It doesn't merge and I didn't have the time to resolve the conflicts :)

We wouldn't backport either--we'd wait until it went into master and build from that.

demon added a comment.Mar 6 2013, 9:21 PM

This is actually worse than I thought. The vast majority of the old RPC interfaces this patch makes use of have been deprecated/removed and replaced with new REST apis. This is going to take a long time to actually do, as it'll largely need to be rewritten.

Not high prio in Wikimedia - we'd rather wait for upstream providing this.

demon removed a subscriber: demon.Dec 8 2014, 6:33 PM
scfc added a subscriber: scfc.Feb 5 2015, 8:23 PM
greg lowered the priority of this task from Medium to Low.Sep 10 2015, 11:05 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptSep 10 2015, 11:05 PM
hashar closed this task as Declined.Oct 15 2015, 7:56 AM
hashar claimed this task.
hashar added a subscriber: hashar.

We are not going to apply such patch to Gerrit which is nowadays in low maintenance mode.

Whenever we migrate to Differential we will get a side-by-side or unified diff for all files concerned by a change. Example: D5.